package com.xkrs.service.impl;

import com.xkrs.dao.PictureDao;
import com.xkrs.encapsulation.PromptMessageEnum;
import com.xkrs.model.entity.PictureEntity;
import com.xkrs.model.qo.PictureQo;
import com.xkrs.service.PictureService;
import com.xkrs.util.ExcelUploadUtil;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.Locale;

import static com.xkrs.encapsulation.OutputEncapsulation.outputEncapsulationObject;

@Service
public class PictureServiceImpl implements PictureService {

    @Resource
    private PictureDao pictureDao;

    @Override
    public String insertPicture(PictureQo pictureQo, MultipartFile pictureFile) throws IOException {
        Locale locale = LocaleContextHolder.getLocale();
        String file = ExcelUploadUtil.memoryFile(pictureFile, 2);
        PictureEntity pictureEntity = new PictureEntity();
        pictureEntity.setLotNo(pictureQo.getLotNo());
        pictureEntity.setMachineNo(pictureQo.getMachineNo());
        pictureEntity.setMaterialNo(pictureQo.getMaterialNo());
        pictureEntity.setModelNo(pictureQo.getModelNo());
        pictureEntity.setMachineTypeNo(pictureQo.getMachineTypeNo());
        pictureEntity.setCraftItemName(pictureQo.getCraftItemName());
        pictureEntity.setPicturePath(file);
        pictureDao.save(pictureEntity);
        return outputEncapsulationObject(PromptMessageEnum.SUCCESS, "添加成功！", locale);
    }
}
